# Uses of Interface
org.eclipse.osgi.signedcontent.SignerInfo

Packages that use SignerInfo
Package
Description
org.eclipse.osgi.signedcontent
Equinox Signed Content

## Uses of SignerInfo in org.eclipse.osgi.signedcontent

Methods in org.eclipse.osgi.signedcontent that return SignerInfo
Modifier and Type
Method
Description
`SignerInfo[]`
SignedContent.`getSignerInfos()`
Returns all the signer infos for this `SignedContent`.
`SignerInfo[]`
SignedContentEntry.`getSignerInfos()`
Returns the signer infos for this `SignedContentEntry`.
`SignerInfo`
SignedContent.`getTSASignerInfo(SignerInfo signerInfo)`
Returns the TSA signer info used to authenticate the signer time of a signer info.
Methods in org.eclipse.osgi.signedcontent with parameters of type SignerInfo
Modifier and Type
Method
Description
`void`
SignedContent.`checkValidity(SignerInfo signerInfo)`
Checks if the certificates are valid for the specified signer.
`Date`
SignedContent.`getSigningTime(SignerInfo signerInfo)`
Returns the signing time for the signer info.
`SignerInfo`
SignedContent.`getTSASignerInfo(SignerInfo signerInfo)`
Returns the TSA signer info used to authenticate the signer time of a signer info.